18761: move away from pkgrepo on Debian's family
[arvados-formula.git] / arvados / dispatcher / package / install.sls
1 # -*- coding: utf-8 -*-
2 # vim: ft=sls
3
4 {#- Get the `tplroot` from `tpldir` #}
5 {%- set tplroot = tpldir.split('/')[0] %}
6 {%- from tplroot ~ "/map.jinja" import arvados with context %}
7
8 arvados-dispatcher-package-install-pkg-installed:
9   pkg.installed:
10     - name: {{ arvados.dispatcher.pkg.name }}
11     - version: {{ arvados.version }}
12     - refresh: true
13
14 # FIXME! Until https://dev.arvados.org/issues/16995 makes it to
15 # a new release, this is required so the dependency is installed
16 {%- if arvados.dispatcher.pkg.name == 'crunch-dispatch-local' %}
17 arvados-dispatcher-package-install-crunch-run-pkg-installed:
18   pkg.installed:
19     - name: crunch-run
20     - version: {{ arvados.version }}
21     - refresh: true
22     - require:
23       - pkg: arvados-dispatcher-package-install-pkg-installed
24 {%- endif %}